### DbLogc::close |

`

###

    #include <db_cxx.h>

    int
    DbLogc::close(u_int32_t flags);

### Description: DbLogc::close

The DbLogc::close method discards the log cursor. After DbLogc::close has been called, regardless of its return, the cursor handle may not be used again.

The DbLogc::close method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

flags
  The flags parameter is currently unused, and must be set to 0.

### Errors

The DbLogc::close method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  If the cursor was previously closed; or if an invalid flag value or parameter was specified.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods`

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.